#!/bin/sh
set -e
alias log='echo [post_install.sh]'


ROOT=/mnt/archinstall


log "altering linux confs"
    sed -i 's|# %wheel ALL=(ALL:ALL) NOPASSWD: ALL|%wheel ALL=(ALL:ALL) NOPASSWD: ALL|g' "$ROOT/etc/sudoers"
    sed -i 's|@includedir /etc/sudoers.d|# @includedir /etc/sudoers.d|g'                 "$ROOT/etc/sudoers"
    sed -i 's|#ParallelDownloads = 5|ParallelDownloads = 5|g'                "$ROOT/etc/pacman.conf"
    sed -i 's|SigLevel    = Required DatabaseOptional|SigLevel    = Never|g' "$ROOT/etc/pacman.conf"


log "installing paru"
    echo "
        cd /tmp
        git clone https://aur.archlinux.org/paru-bin.git
        cd paru-bin
        makepkg -si
    " | arch-chroot "$ROOT" su user sh
